[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[Libvirt-ci] Build failed in Jenkins: libvirt-dbus-ma ster-check » libvirt-fedora-rawhide #316



See <https://ci.centos.org/job/libvirt-dbus-master-check/systems=libvirt-fedora-rawhide/316/display/redirect>

------------------------------------------
[...truncated 5.92 KB...]
collected 35 items

../../tests/test_connect.py ........E......E..................E          [100%]

==================================== ERRORS ====================================
 ERROR at setup of TestConnect.test_connect_properties_return_type[Hostname-String] 

self = <test_connect.TestConnect object at 0x7efdcbf6c4e0>
request = <SubRequest 'libvirt_dbus_setup' for <Function 'test_connect_properties_return_type[Hostname-String]'>>

    @pytest.fixture(autouse=True)
    def libvirt_dbus_setup(self, request):
        """Start libvirt-dbus for each test function
            """
        os.environ['LIBVIRT_DEBUG'] = '3'
        self.libvirt_dbus = subprocess.Popen([exe, '--session'])
        self.bus = dbus.SessionBus()
    
        for i in range(10):
            if self.bus.name_has_owner('org.libvirt'):
                break
            time.sleep(0.1)
        else:
>           raise TimeoutError('error starting libvirt-dbus')
E           TimeoutError: error starting libvirt-dbus

../../tests/libvirttest.py:44: TimeoutError
 ERROR at setup of TestConnect.test_connect_interface_lookup_by_property[InterfaceLookupByMAC-MAC] 

self = <test_connect.TestConnect object at 0x7efdcbfa6908>

    @pytest.fixture
    def interface_create(self):
        """ Fixture to define dummy interface on the test driver
    
            This fixture should be used in the setup of every test manipulating
            with interfaces.
            """
        path = self.connect.InterfaceDefineXML(xmldata.minimal_interface_xml, 0)
        obj = self.bus.get_object('org.libvirt', path)
        interface_obj = dbus.Interface(obj, 'org.libvirt.Interface')
>       interface_obj.Create(0)

../../tests/libvirttest.py:84: 
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
/usr/lib64/python3.6/site-packages/dbus/proxies.py:70: in __call__
    return self._proxy_method(*args, **keywords)
/usr/lib64/python3.6/site-packages/dbus/proxies.py:145: in __call__
    **keywords)
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 

self = <dbus._dbus.SessionBus (session) at 0x7efdcbfa14c0>
bus_name = dbus.String(':1.9')
object_path = dbus.ObjectPath('/org/libvirt/Test/interface/11_3a22_3a33_3a44_3a55_3a66')
dbus_interface = 'org.libvirt.Interface', method = 'Create', signature = 'u'
args = (0,), timeout = -1.0, byte_arrays = False, kwargs = {}
get_args_opts = {'byte_arrays': False}
message = <dbus.lowlevel.MethodCallMessage path: /org/libvirt/Test/interface/11_3a22_3a33_3a44_3a55_3a66, iface: org.libvirt.Interface, member: Create dest: :1.9>

    def call_blocking(self, bus_name, object_path, dbus_interface, method,
                      signature, args, timeout=-1.0,
                      byte_arrays=False, **kwargs):
        """Call the given method, synchronously.
            :Since: 0.81.0
            """
        if object_path == LOCAL_PATH:
            raise DBusException('Methods may not be called on the reserved '
                                'path %s' % LOCAL_PATH)
        if dbus_interface == LOCAL_IFACE:
            raise DBusException('Methods may not be called on the reserved '
                                'interface %s' % LOCAL_IFACE)
        # no need to validate other args - MethodCallMessage ctor will do
    
        get_args_opts = dict(byte_arrays=byte_arrays)
        if is_py2:
            get_args_opts['utf8_strings'] = kwargs.get('utf8_strings', False)
        elif 'utf8_strings' in kwargs:
            raise TypeError("unexpected keyword argument 'utf8_strings'")
    
        message = MethodCallMessage(destination=bus_name,
                                    path=object_path,
                                    interface=dbus_interface,
                                    method=method)
        # Add the arguments to the function
        try:
            message.append(signature=signature, *args)
        except Exception as e:
            logging.basicConfig()
            _logger.error('Unable to set arguments %r according to '
                          'signature %r: %s: %s',
                          args, signature, e.__class__, e)
            raise
    
        # make a blocking call
        reply_message = self.send_message_with_reply_and_block(
>           message, timeout)
E       dbus.exceptions.DBusException: org.libvirt.Error: Requested operation is not valid

/usr/lib64/python3.6/site-packages/dbus/connection.py:651: DBusException
 ERROR at setup of TestConnect.test_connect_storage_vol_lookup_by_property[StorageVolLookupByPath-Path] 

self = <test_connect.TestConnect object at 0x7efdcbfcc208>

    @pytest.fixture
    def storage_volume_create(self):
        """ Fixture to create dummy storage volume on the test driver
    
            This fixture should be used in the setup of every test manipulating
            with test volume.
            """
        _, test_storage_pool = self.get_test_storage_pool()
        interface_obj = dbus.Interface(test_storage_pool,
                                       'org.libvirt.StoragePool')
>       path = interface_obj.StorageVolCreateXML(xmldata.minimal_storage_vol_xml, 0)

../../tests/libvirttest.py:122: 
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
/usr/lib64/python3.6/site-packages/dbus/proxies.py:70: in __call__
    return self._proxy_method(*args, **keywords)
/usr/lib64/python3.6/site-packages/dbus/proxies.py:145: in __call__
    **keywords)
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 

self = <dbus._dbus.SessionBus (session) at 0x7efdcbfa14c0>
bus_name = dbus.String(':1.9')
object_path = dbus.ObjectPath('/org/libvirt/Test/storagepool/_35bb2ad9_388a_cdfe_461a_b8907f6e53fe')
dbus_interface = 'org.libvirt.StoragePool', method = 'StorageVolCreateXML'
signature = 'su'
args = ('\n<volume>\n  <name>sparse.img</name>\n  <capacity unit="G">2</capacity>\n  <target>\n    <path>/var/lib/virt/images/sparse.img</path>\n  </target>\n</volume>\n', 0)
timeout = -1.0, byte_arrays = False, kwargs = {}
get_args_opts = {'byte_arrays': False}
message = <dbus.lowlevel.MethodCallMessage path: /org/libvirt/Test/storagepool/_35bb2ad9_388a_cdfe_461a_b8907f6e53fe, iface: org.libvirt.StoragePool, member: StorageVolCreateXML dest: :1.9>

    def call_blocking(self, bus_name, object_path, dbus_interface, method,
                      signature, args, timeout=-1.0,
                      byte_arrays=False, **kwargs):
        """Call the given method, synchronously.
            :Since: 0.81.0
            """
        if object_path == LOCAL_PATH:
            raise DBusException('Methods may not be called on the reserved '
                                'path %s' % LOCAL_PATH)
        if dbus_interface == LOCAL_IFACE:
            raise DBusException('Methods may not be called on the reserved '
                                'interface %s' % LOCAL_IFACE)
        # no need to validate other args - MethodCallMessage ctor will do
    
        get_args_opts = dict(byte_arrays=byte_arrays)
        if is_py2:
            get_args_opts['utf8_strings'] = kwargs.get('utf8_strings', False)
        elif 'utf8_strings' in kwargs:
            raise TypeError("unexpected keyword argument 'utf8_strings'")
    
        message = MethodCallMessage(destination=bus_name,
                                    path=object_path,
                                    interface=dbus_interface,
                                    method=method)
        # Add the arguments to the function
        try:
            message.append(signature=signature, *args)
        except Exception as e:
            logging.basicConfig()
            _logger.error('Unable to set arguments %r according to '
                          'signature %r: %s: %s',
                          args, signature, e.__class__, e)
            raise
    
        # make a blocking call
        reply_message = self.send_message_with_reply_and_block(
>           message, timeout)
E       dbus.exceptions.DBusException: org.libvirt.Error: operation failed: storage vol already exists

/usr/lib64/python3.6/site-packages/dbus/connection.py:651: DBusException
===================== 32 passed, 3 error in 20.02 seconds ======================
FAIL test_connect.py (exit status: 1)

FAIL: test_network.py
=====================

============================= test session starts ==============================
platform linux -- Python 3.6.5, pytest-3.6.2, py-1.5.4, pluggy-0.6.0
rootdir: <https://ci.centos.org/job/libvirt-dbus-master-check/systems=libvirt-fedora-rawhide/ws/,> inifile:
collected 7 items

../../tests/test_network.py E.....F                                      [100%]

==================================== ERRORS ====================================
__________ ERROR at setup of TestNetwork.test_network_properties_type __________

self = <test_network.TestNetwork object at 0x7f6ddac4d4a8>
request = <SubRequest 'libvirt_dbus_setup' for <Function 'test_network_properties_type'>>

    @pytest.fixture(autouse=True)
    def libvirt_dbus_setup(self, request):
        """Start libvirt-dbus for each test function
            """
        os.environ['LIBVIRT_DEBUG'] = '3'
        self.libvirt_dbus = subprocess.Popen([exe, '--session'])
        self.bus = dbus.SessionBus()
    
        for i in range(10):
            if self.bus.name_has_owner('org.libvirt'):
                break
            time.sleep(0.1)
        else:
>           raise TimeoutError('error starting libvirt-dbus')
E           TimeoutError: error starting libvirt-dbus

../../tests/libvirttest.py:44: TimeoutError
---------------------------- Captured stderr setup -----------------------------
dbus-daemon[10897]: Cannot setup inotify for '/home/jenkins/.local/share/dbus-1/services'; error 'Permission denied'
=================================== FAILURES ===================================
 TestNetwork.test_network_update[4-4-0-\n    <host mac='00:16:3e:77:e2:ed' name='foo.example.com' ip='192.168.122.10'/>\n    -0] 

self = <test_network.TestNetwork object at 0x7f6ddac53ef0>, command = '4'
section = '4', parentIndex = 0
xml_str = "\n    <host mac='00:16:3e:77:e2:ed' name='foo.example.com' ip='192.168.122.10'/>\n    "
flags = 0

    @pytest.mark.parametrize("command, section, parentIndex, xml_str, flags", [
        ('4', '4', 0, ip_dhcp_host_xml, 0),  # add-first, ip-dhcp-host
    ])
    def test_network_update(self, command, section, parentIndex, xml_str, flags):
>       _, test_network = self.get_test_network()

../../tests/test_network.py:91: 
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 

self = <test_network.TestNetwork object at 0x7f6ddac53ef0>

    def get_test_network(self):
        """Fetch information for the test network from test driver
    
            Returns:
                (dbus.proxies.ProxyObject, dbus.proxies.ProxyObject):
                Test Network Object, Local proxy for the test Network Object.
    
            """
>       path = self.connect.ListNetworks(0)[0]
E       IndexError: list index out of range

../../tests/libvirttest.py:138: IndexError
--------------------------- Captured stderr teardown ---------------------------
Disconnected from D-Bus.
================= 1 failed, 5 passed, 1 error in 5.15 seconds ==================
FAIL test_network.py (exit status: 1)

+ exit 1
Build step 'Execute shell' marked build as failure


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]